## com.ibm.lab.soln.sqleditor
Class SQLEditorPlugin

    java.lang.Object
      |
      +--org.eclipse.core.runtime.Plugin
            |
            +--org.eclipse.ui.plugin.AbstractUIPlugin
                  |
                  +--com.ibm.lab.soln.sqleditor.SQLEditorPlugin

public class SQLEditorPlugin
extends org.eclipse.ui.plugin.AbstractUIPlugin

The main plugin class.

Fields inherited from class org.eclipse.core.runtime.Plugin
`PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`SQLEditorPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)` The constructor.

Method Summary
`void` | `disposeColorProvider()`
`ColorProvider` | `getColorProvider()` Returns the colorProvider.
`static SQLEditorPlugin` | `getDefault()` Returns the shared instance of the Plugin.
`java.util.ResourceBundle` | `getResourceBundle()` Returns the plugin's resource bundle,
`static java.lang.String` | `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`static org.eclipse.core.resources.IWorkspace` | `getWorkspace()` Returns the workspace instance.

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getDescriptor, getLog, getPluginPreferences, getStateLocation, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SQLEditorPlugin

    public SQLEditorPlugin(org.eclipse.core.runtime.IPluginDescriptor descriptor)

  The constructor.

Method Detail

### disposeColorProvider

    public void disposeColorProvider()

### getColorProvider

    public ColorProvider getColorProvider()

  Returns the colorProvider.
  Returns:
    ColorProvider

### getDefault

    public static SQLEditorPlugin getDefault()

  Returns the shared instance of the Plugin.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

### getWorkspace

    public static org.eclipse.core.resources.IWorkspace getWorkspace()

  Returns the workspace instance.